## ru.biosoft.plugins.jri
Class RPreprocessor

    java.lang.Object
      ru.biosoft.plugins.jri.RPreprocessor

All Implemented Interfaces:
  ru.biosoft.plugins.javascript.Preprocessor

    public class RPreprocessor

extends java.lang.Object
implements ru.biosoft.plugins.javascript.Preprocessor

R preprocessor

Constructor Summary
`RPreprocessor()`

Method Summary
`java.lang.String` | `getPrefix()` Get prefix for command string
`java.lang.String` | `lookForNewPreprocessor(org.mozilla.javascript.Scriptable scope)` Look for new object in scope to add to preprocessor list
`java.lang.String` | `preprocess(java.lang.String code)` Returns preprocessed JavaScript code
`java.lang.String` | `wrap(java.lang.String code, java.lang.String object)` Converts to JavaScript code

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPreprocessor

    public RPreprocessor()

Method Detail

### preprocess

    public java.lang.String preprocess(java.lang.String code)

  Description copied from interface: `ru.biosoft.plugins.javascript.Preprocessor`
  Returns preprocessed JavaScript code

  Specified by:
    `preprocess` in interface `ru.biosoft.plugins.javascript.Preprocessor`

### wrap

    public java.lang.String wrap(java.lang.String code,
                                 java.lang.String object)

  Description copied from interface: `ru.biosoft.plugins.javascript.Preprocessor`
  Converts to JavaScript code

  Specified by:
    `wrap` in interface `ru.biosoft.plugins.javascript.Preprocessor`

### getPrefix

    public java.lang.String getPrefix()

  Description copied from interface: `ru.biosoft.plugins.javascript.Preprocessor`
  Get prefix for command string

  Specified by:
    `getPrefix` in interface `ru.biosoft.plugins.javascript.Preprocessor`

### lookForNewPreprocessor

    public java.lang.String lookForNewPreprocessor(org.mozilla.javascript.Scriptable scope)

  Description copied from interface: `ru.biosoft.plugins.javascript.Preprocessor`
  Look for new object in scope to add to preprocessor list

  Specified by:
    `lookForNewPreprocessor` in interface `ru.biosoft.plugins.javascript.Preprocessor`

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.